# Aranyasen\HL7\Segments\SAC  

SAC segment class
Ref: https://www.interfaceware.com/hl7-standard/hl7-segment-SAC.html



## Extend:

Aranyasen\HL7\Segment

## Methods

| Name | Description |
|------|-------------|
|[getAccessionIdentifier](#sacgetaccessionidentifier)||
|[getAdditive](#sacgetadditive)||
|[getArtificialBlood](#sacgetartificialblood)||
|[getAvailableSpecimenVolume](#sacgetavailablespecimenvolume)||
|[getBarrierDelta](#sacgetbarrierdelta)||
|[getBottomDelta](#sacgetbottomdelta)||
|[getCapType](#sacgetcaptype)||
|[getCarrierIdentifier](#sacgetcarrieridentifier)||
|[getCarrierType](#sacgetcarriertype)||
|[getContainerDiameter](#sacgetcontainerdiameter)||
|[getContainerHeight](#sacgetcontainerheight)||
|[getContainerIdentifier](#sacgetcontaineridentifier)||
|[getContainerSizeUnits](#sacgetcontainersizeunits)||
|[getContainerStatus](#sacgetcontainerstatus)||
|[getContainerVolume](#sacgetcontainervolume)||
|[getDilutionFactor](#sacgetdilutionfactor)||
|[getDrugInterference](#sacgetdruginterference)||
|[getEquipmentContainerIdentifier](#sacgetequipmentcontaineridentifier)||
|[getExternalAccessionIdentifier](#sacgetexternalaccessionidentifier)||
|[getFibrinIndex](#sacgetfibrinindex)||
|[getFibrinIndexUnits](#sacgetfibrinindexunits)||
|[getHemolysisIndex](#sacgethemolysisindex)||
|[getHemolysisIndexUnits](#sacgethemolysisindexunits)||
|[getIcterusIndex](#sacgeticterusindex)||
|[getIcterusIndexUnits](#sacgeticterusindexunits)||
|[getInitialSpecimenVolume](#sacgetinitialspecimenvolume)||
|[getLepemiaIndex](#sacgetlepemiaindex)||
|[getLepemiaIndexUnits](#sacgetlepemiaindexunits)||
|[getLocation](#sacgetlocation)||
|[getOtherEnvironmentalFactors](#sacgetotherenvironmentalfactors)||
|[getPositionInCarrier](#sacgetpositionincarrier)||
|[getPositionInTray](#sacgetpositionintray)||
|[getPrimaryContainerIdentifier](#sacgetprimarycontaineridentifier)||
|[getRegistrationDateTime](#sacgetregistrationdatetime)||
|[getSeparatorType](#sacgetseparatortype)||
|[getSpecialHandlingCode](#sacgetspecialhandlingcode)||
|[getSpecimenComponent](#sacgetspecimencomponent)||
|[getSpecimenSource](#sacgetspecimensource)||
|[getSystemInducedContaminants](#sacgetsysteminducedcontaminants)||
|[getTemperature](#sacgettemperature)||
|[getTrayIdentifier](#sacgettrayidentifier)||
|[getTrayTypeSAC](#sacgettraytypesac)||
|[getTreatment](#sacgettreatment)||
|[getVolumeUnits](#sacgetvolumeunits)||
|[resetIndex](#sacresetindex)|Reset index of this segment|
|[setAccessionIdentifier](#sacsetaccessionidentifier)||
|[setAdditive](#sacsetadditive)||
|[setArtificialBlood](#sacsetartificialblood)||
|[setAvailableSpecimenVolume](#sacsetavailablespecimenvolume)||
|[setBarrierDelta](#sacsetbarrierdelta)||
|[setBottomDelta](#sacsetbottomdelta)||
|[setCapType](#sacsetcaptype)||
|[setCarrierIdentifier](#sacsetcarrieridentifier)||
|[setCarrierType](#sacsetcarriertype)||
|[setContainerDiameter](#sacsetcontainerdiameter)||
|[setContainerHeight](#sacsetcontainerheight)||
|[setContainerIdentifier](#sacsetcontaineridentifier)||
|[setContainerSizeUnits](#sacsetcontainersizeunits)||
|[setContainerStatus](#sacsetcontainerstatus)||
|[setContainerVolume](#sacsetcontainervolume)||
|[setDilutionFactor](#sacsetdilutionfactor)||
|[setDrugInterference](#sacsetdruginterference)||
|[setEquipmentContainerIdentifier](#sacsetequipmentcontaineridentifier)||
|[setExternalAccessionIdentifier](#sacsetexternalaccessionidentifier)||
|[setFibrinIndex](#sacsetfibrinindex)||
|[setFibrinIndexUnits](#sacsetfibrinindexunits)||
|[setHemolysisIndex](#sacsethemolysisindex)||
|[setHemolysisIndexUnits](#sacsethemolysisindexunits)||
|[setIcterusIndex](#sacseticterusindex)||
|[setIcterusIndexUnits](#sacseticterusindexunits)||
|[setInitialSpecimenVolume](#sacsetinitialspecimenvolume)||
|[setLepemiaIndex](#sacsetlepemiaindex)||
|[setLepemiaIndexUnits](#sacsetlepemiaindexunits)||
|[setLocation](#sacsetlocation)||
|[setOtherEnvironmentalFactors](#sacsetotherenvironmentalfactors)||
|[setPositionInCarrier](#sacsetpositionincarrier)||
|[setPositionInTray](#sacsetpositionintray)||
|[setPrimaryContainerIdentifier](#sacsetprimarycontaineridentifier)||
|[setRegistrationDateTime](#sacsetregistrationdatetime)||
|[setSeparatorType](#sacsetseparatortype)||
|[setSpecialHandlingCode](#sacsetspecialhandlingcode)||
|[setSpecimenComponent](#sacsetspecimencomponent)||
|[setSpecimenSource](#sacsetspecimensource)||
|[setSystemInducedContaminants](#sacsetsysteminducedcontaminants)||
|[setTemperature](#sacsettemperature)||
|[setTrayIdentifier](#sacsettrayidentifier)||
|[setTrayTypeSAC](#sacsettraytypesac)||
|[setTreatment](#sacsettreatment)||
|[setVolumeUnits](#sacsetvolumeunits)||

## Inherited methods

| Name | Description |
|------|-------------|
|__construct|Create a segment.|
|getField|Get the field at index.|
|getFields|Get fields from a segment|
|getName|Get the name of the segment. This is basically the value at index 0|
|setField|Set the field specified by index to value.|
|size|Get the number of fields for this segment, not including the name|



### SAC::getAccessionIdentifier  

**Description**

```php
 getAccessionIdentifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getAdditive  

**Description**

```php
 getAdditive (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getArtificialBlood  

**Description**

```php
 getArtificialBlood (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getAvailableSpecimenVolume  

**Description**

```php
 getAvailableSpecimenVolume (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getBarrierDelta  

**Description**

```php
 getBarrierDelta (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getBottomDelta  

**Description**

```php
 getBottomDelta (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getCapType  

**Description**

```php
 getCapType (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getCarrierIdentifier  

**Description**

```php
 getCarrierIdentifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getCarrierType  

**Description**

```php
 getCarrierType (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getContainerDiameter  

**Description**

```php
 getContainerDiameter (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getContainerHeight  

**Description**

```php
 getContainerHeight (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getContainerIdentifier  

**Description**

```php
 getContainerIdentifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getContainerSizeUnits  

**Description**

```php
 getContainerSizeUnits (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getContainerStatus  

**Description**

```php
 getContainerStatus (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getContainerVolume  

**Description**

```php
 getContainerVolume (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getDilutionFactor  

**Description**

```php
 getDilutionFactor (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getDrugInterference  

**Description**

```php
 getDrugInterference (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getEquipmentContainerIdentifier  

**Description**

```php
 getEquipmentContainerIdentifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getExternalAccessionIdentifier  

**Description**

```php
 getExternalAccessionIdentifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getFibrinIndex  

**Description**

```php
 getFibrinIndex (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getFibrinIndexUnits  

**Description**

```php
 getFibrinIndexUnits (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getHemolysisIndex  

**Description**

```php
 getHemolysisIndex (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getHemolysisIndexUnits  

**Description**

```php
 getHemolysisIndexUnits (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getIcterusIndex  

**Description**

```php
 getIcterusIndex (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getIcterusIndexUnits  

**Description**

```php
 getIcterusIndexUnits (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getInitialSpecimenVolume  

**Description**

```php
 getInitialSpecimenVolume (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getLepemiaIndex  

**Description**

```php
 getLepemiaIndex (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getLepemiaIndexUnits  

**Description**

```php
 getLepemiaIndexUnits (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getLocation  

**Description**

```php
 getLocation (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getOtherEnvironmentalFactors  

**Description**

```php
 getOtherEnvironmentalFactors (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getPositionInCarrier  

**Description**

```php
 getPositionInCarrier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getPositionInTray  

**Description**

```php
 getPositionInTray (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getPrimaryContainerIdentifier  

**Description**

```php
 getPrimaryContainerIdentifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getRegistrationDateTime  

**Description**

```php
 getRegistrationDateTime (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getSeparatorType  

**Description**

```php
 getSeparatorType (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getSpecialHandlingCode  

**Description**

```php
 getSpecialHandlingCode (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getSpecimenComponent  

**Description**

```php
 getSpecimenComponent (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getSpecimenSource  

**Description**

```php
 getSpecimenSource (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getSystemInducedContaminants  

**Description**

```php
 getSystemInducedContaminants (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getTemperature  

**Description**

```php
 getTemperature (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getTrayIdentifier  

**Description**

```php
 getTrayIdentifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getTrayTypeSAC  

**Description**

```php
 getTrayTypeSAC (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getTreatment  

**Description**

```php
 getTreatment (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::getVolumeUnits  

**Description**

```php
 getVolumeUnits (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::resetIndex  

**Description**

```php
public static resetIndex (int $index)
```

Reset index of this segment 

 

**Parameters**

* `(int) $index`

**Return Values**

`void`


<hr />


### SAC::setAccessionIdentifier  

**Description**

```php
 setAccessionIdentifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setAdditive  

**Description**

```php
 setAdditive (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setArtificialBlood  

**Description**

```php
 setArtificialBlood (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setAvailableSpecimenVolume  

**Description**

```php
 setAvailableSpecimenVolume (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setBarrierDelta  

**Description**

```php
 setBarrierDelta (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setBottomDelta  

**Description**

```php
 setBottomDelta (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setCapType  

**Description**

```php
 setCapType (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setCarrierIdentifier  

**Description**

```php
 setCarrierIdentifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setCarrierType  

**Description**

```php
 setCarrierType (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setContainerDiameter  

**Description**

```php
 setContainerDiameter (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setContainerHeight  

**Description**

```php
 setContainerHeight (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setContainerIdentifier  

**Description**

```php
 setContainerIdentifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setContainerSizeUnits  

**Description**

```php
 setContainerSizeUnits (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setContainerStatus  

**Description**

```php
 setContainerStatus (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setContainerVolume  

**Description**

```php
 setContainerVolume (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setDilutionFactor  

**Description**

```php
 setDilutionFactor (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setDrugInterference  

**Description**

```php
 setDrugInterference (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setEquipmentContainerIdentifier  

**Description**

```php
 setEquipmentContainerIdentifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setExternalAccessionIdentifier  

**Description**

```php
 setExternalAccessionIdentifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setFibrinIndex  

**Description**

```php
 setFibrinIndex (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setFibrinIndexUnits  

**Description**

```php
 setFibrinIndexUnits (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setHemolysisIndex  

**Description**

```php
 setHemolysisIndex (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setHemolysisIndexUnits  

**Description**

```php
 setHemolysisIndexUnits (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setIcterusIndex  

**Description**

```php
 setIcterusIndex (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setIcterusIndexUnits  

**Description**

```php
 setIcterusIndexUnits (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setInitialSpecimenVolume  

**Description**

```php
 setInitialSpecimenVolume (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setLepemiaIndex  

**Description**

```php
 setLepemiaIndex (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setLepemiaIndexUnits  

**Description**

```php
 setLepemiaIndexUnits (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setLocation  

**Description**

```php
 setLocation (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setOtherEnvironmentalFactors  

**Description**

```php
 setOtherEnvironmentalFactors (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setPositionInCarrier  

**Description**

```php
 setPositionInCarrier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setPositionInTray  

**Description**

```php
 setPositionInTray (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setPrimaryContainerIdentifier  

**Description**

```php
 setPrimaryContainerIdentifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setRegistrationDateTime  

**Description**

```php
 setRegistrationDateTime (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setSeparatorType  

**Description**

```php
 setSeparatorType (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setSpecialHandlingCode  

**Description**

```php
 setSpecialHandlingCode (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setSpecimenComponent  

**Description**

```php
 setSpecimenComponent (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setSpecimenSource  

**Description**

```php
 setSpecimenSource (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setSystemInducedContaminants  

**Description**

```php
 setSystemInducedContaminants (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setTemperature  

**Description**

```php
 setTemperature (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setTrayIdentifier  

**Description**

```php
 setTrayIdentifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setTrayTypeSAC  

**Description**

```php
 setTrayTypeSAC (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setTreatment  

**Description**

```php
 setTreatment (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### SAC::setVolumeUnits  

**Description**

```php
 setVolumeUnits (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />

